Firefox 19 Incompatible? Rated 5 out of 5 stars

Been using this addon for a long time before I switch browsers (and continue using it with them as well) but now I decided to return to FF, it says addon is incompatible with Firefox 19.